<?php
namespace GEST_STAGE;

use GEST_STAGE\controllers\ErrorController;
use GEST_STAGE\controllers\ConventionController;
use GEST_STAGE\controllers\BaseController;
use GEST_STAGE\controllers\ClasseController;
use GEST_STAGE\controllers\EmailController;
use GEST_STAGE\controllers\EtudiantController;
use GEST_STAGE\controllers\EntrepriseController;
use GEST_STAGE\controllers\UtilisateurController;
use GEST_STAGE\controllers\VilleController;
use GEST_STAGE\controllers\EmployeController;
use GEST_STAGE\controllers\PdfController;
use GEST_STAGE\kernel\Route;
use GEST_STAGE\kernel\Router;

$router = new Router();
$router->addRoute(new Route("/", BaseController::class));
$router->addRoute(new Route("/accueil", BaseController::class));
$router->addRoute(new Route("/ajax/classes/{*}", ClasseController::class));
$router->addRoute(new Route("/ajax/entreprise/{*}", EntrepriseController::class));
$router->addRoute(new Route("/ajax/entreprises", EntrepriseController::class));
$router->addRoute(new Route("/ajax/entreprises/departement/{*}", EntrepriseController::class));
$router->addRoute(new Route("/ajax/entreprises/ville/{*}", EntrepriseController::class));
$router->addRoute(new Route("/ajax/etudiants/{*}", EtudiantController::class));
$router->addRoute(new Route("/ajax/etudiant/{*}", EtudiantController::class));
$router->addRoute(new Route("/ajax/ville/{*}", VilleController::class));
$router->addRoute(new Route("/ajax/responsable/{*}", EmployeController::class));
$router->addRoute(new Route("/ajax/tuteurs/{*}", EmployeController::class));
$router->addRoute(new Route("/ajax/utilisateur/{*}", UtilisateurController::class));
$router->addRoute(new Route("/conventions", ConventionController::class));
$router->addRoute(new Route("/classes", ClasseController::class));
$router->addRoute(new Route("/classes/{*}", ClasseController::class));
$router->addRoute(new Route("/classe/{*}", ClasseController::class));
$router->addRoute(new Route("/convention/{*}", ConventionController::class));
$router->addRoute(new Route("/convention/creer/{*}/{*}", ConventionController::class));
$router->addRoute(new Route("/email/{*}", EmailController::class));
$router->addRoute(new Route("/entreprises", EntrepriseController::class));
$router->addRoute(new Route("/entreprises/{*}", EntrepriseController::class));
$router->addRoute(new Route("/entreprise/{*}", EntrepriseController::class));
$router->addRoute(new Route("/pdf/{*}", PdfController::class));
$router->addRoute(new Route("/profil", UtilisateurController::class));
$router->addRoute(new Route("/utilisateurs", UtilisateurController::class));
$router->addRoute(new Route("/utilisateurs/{*}", UtilisateurController::class));
$router->addRoute(new Route("/utilisateur/{*}", UtilisateurController::class));
$router->addRoute(new Route("{*}", ErrorController::class));

$route = $router->findRoute();
$route->execute();
